import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { DynamicFormAction, DynamicFormElement } from '@dynamic-forms/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class MatDynamicFormDialogComponent implements OnInit, OnChanges, OnDestroy {
    private dialog;
    theme: string;
    private _dialog;
    private _dialogOpenSubscription;
    dialogTemplateRef: TemplateRef<any>;
    isOpen$: Observable<boolean>;
    children: DynamicFormElement[];
    headerActions: DynamicFormAction[];
    footerActions: DynamicFormAction[];
    width: string;
    height: string;
    minWidth: string;
    minHeight: string;
    maxWidth: string;
    maxHeight: string;
    maximized: boolean;
    title: string;
    titleHtml: string;
    classNameForm: string;
    classNameModal: string;
    classNameChildren: string;
    classNameHeader: string;
    classNameFooter: string;
    classNameTitle: string;
    escaped: EventEmitter<any>;
    constructor(dialog: MatDialog, theme: string);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private openDialog;
    private closeDialog;
    private getDialogConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatDynamicFormDialogComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatDynamicFormDialogComponent, "mat-dynamic-form-dialog", never, { "isOpen$": { "alias": "isOpen$"; "required": false; }; "children": { "alias": "children"; "required": false; }; "headerActions": { "alias": "headerActions"; "required": false; }; "footerActions": { "alias": "footerActions"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "minHeight": { "alias": "minHeight"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "maximized": { "alias": "maximized"; "required": false; }; "title": { "alias": "title"; "required": false; }; "titleHtml": { "alias": "titleHtml"; "required": false; }; "classNameForm": { "alias": "classNameForm"; "required": false; }; "classNameModal": { "alias": "classNameModal"; "required": false; }; "classNameChildren": { "alias": "classNameChildren"; "required": false; }; "classNameHeader": { "alias": "classNameHeader"; "required": false; }; "classNameFooter": { "alias": "classNameFooter"; "required": false; }; "classNameTitle": { "alias": "classNameTitle"; "required": false; }; }, { "escaped": "escaped"; }, never, never, true, never>;
}
